* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Lora", serif;
}

/* fonts */
h1, h2, h3, p {
    font-family: "Lora", serif;
}

h2 {
    font-size: 45px;
    margin-bottom: 32px;
    font-weight: 600;
    text-transform: uppercase;
}

p {
    font-size: 16px;
}

.container {
    max-width: 1280px;
    margin-left: auto;
    margin-right: auto;
    padding-left: 15px;
    padding-right: 15px;
}

.narrow-container {
    max-width: 730px;
    margin-left: auto;
    margin-right: auto;
    margin-top: 50px;
    margin-bottom: 50px;
}

.narrow-container p {
    margin-bottom: 32px;
} 

.center-txt {
    text-align: center;
}

.justify-txt {
    text-align: justify;
}

.round-btn {
    border: 2px solid #fff;
    border-radius: 300px;
    padding: 20px 50px;
    display: inline-block;
    text-decoration: none;
    color: #fff;
}

.round-btn:hover {
    background-color: #fff;
    color: #2a2829;
}

section {
    position: relative;
}

.section-bg-img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.section-ovelay-container {
    position: relative;
    z-index: 2;
    padding: 150px 0px; 
    color: white;
}

/* Header Section */
header.header-wrap {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100px;
    z-index: 5;
}

.header-inner {
    padding: 15px 0px;
    display: flex;
    justify-content: space-between;
}

.logo img {
    max-height: 65px;
}

nav ul.menu li a {
    color: #fff;
    position: relative;
    text-decoration: none;
}

nav ul.menu {
    display: flex;
    gap: 30px;
    list-style: none;
}

nav.nav {
    display: flex;
    align-items: center;
    gap: 30px;
}

.right-actions {
    display: flex;
    gap: 15px;
    align-items: center;
}


.social-icon svg {
    display: block;
    width: auto;
    height: 24px;
    fill: #fff;
}

.social a:hover .social-icon svg {
    fill: var(--color-primary-hover);
}

.social {
    display: flex;
    gap: 15px;
}

.round-btn.header-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 30px;
    height: 45px;
}


.menu a {
  position: relative;
  padding: 8px 0;
  text-decoration: none;
  color: white;
}

/* Active underline */
.menu a.active-link::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 50%;              /* 👈 half width */
  height: 2px;
  background-color: #ffffff;
  border-radius: 2px;
}

.menu a:hover::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 50%;
  height: 2px;
  background-color: #ffffff;
  opacity: 0.7;
}

.social a:hover .social-icon svg {
    fill: #eee;
}

* Menu */
.menu {
  list-style: none;
  display: flex;
  gap: 25px;
}

.menu a {
  position: relative;
  padding: 8px 0;
  text-decoration: none;
  color: white;
}

/* Active underline */
.menu a.active-link::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 50%;              /* 👈 half width */
  height: 2px;
  background-color: #ffffff;
  border-radius: 2px;
}

.menu a:hover::after {
  content: "";
  position: absolute;
  bottom: -6px;
  left: 0;
  width: 50%;
  height: 2px;
  background-color: #ffffff;
  opacity: 0.7;
}

/* Hamburger */
#menu-toggle {
  display: none;
}

.hamburger {
  display: none;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
  height: 20px;
}

.hamburger span {
  width: 25px;
  height: 3px;
  background: #fff;
  transition: all 0.3s ease;
  transform-origin: center;
}

/* ===== Animate to X when checked ===== */
#menu-toggle:checked + .hamburger span:nth-child(1) {
  transform: rotate(45deg) translate(6px, 6px);
}

#menu-toggle:checked + .hamburger span:nth-child(2) {
  opacity: 0;
}

#menu-toggle:checked + .hamburger span:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -5px);
}
/* =========================
   Mobile Styles
========================= */
@media (max-width: 768px) {

  .hamburger {
    display: flex;
  }

  .nav {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #fff;
    flex-direction: column;
    align-items: center;
    max-height: 0px;
    overflow: hidden;
    transition: max-height 0.4s ease;
    /* display: none !important; */
    /* padding: 20px 0; */
    /* border-top: 1px solid #eee; */
  }

  .menu {
    flex-direction: column;
    gap: 15px;
  }

  .right-actions {
    flex-direction: column;
    margin-top: 32px;
  }

  #menu-toggle:checked + .hamburger + .nav {
    height: 400px;
    max-height: 400px;
  }
}

/* Hero section */

.hero-section {
    background-color: red;
    height: 100vh;
}

.hero-section::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 2;
    background: radial-gradient(
        circle at center,
           rgba(0, 0, 0, 0.2) 0%,
        rgba(0, 0, 0, 0.55) 45%,
        rgba(0, 0, 0, 0.85) 100%
    );
}

.hero-bg {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-section-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 2;
}

.hero-section-content h1 {
    color: #fff;
    font-size: 60px;
    margin-bottom: 16px;
}

.address-txt {
    margin-top: 30px;
    line-height: 1.5;
}

/* Intimacy section */
.intimacy-section::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 2;
    background: radial-gradient(
        circle at center,
        rgba(0, 0, 0, 0.2) 0%,
        rgba(0, 0, 0, 0.55) 45%,
        rgba(0, 0, 0, 0.85) 100%
    );
}

/* footer */
footer {
    background-color: #2a2829;
    color: #fff;
}

.footer-container {
    padding: 45px 0px;
    max-width: 980px;
    margin-left: auto;
    margin-right: auto;
}

.footer-social-links {
    margin-top: 16px;
}

.footer-social-links a {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #eee;
    border-radius: 100%;
}

.footer-bottom-row {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
}

a.call-link {
    color: #eee;
    text-decoration: none;
    margin-bottom: 15px;
    display: flex;
}

.footer-col h3 {
    margin-bottom: 5px;
}

.footer-col p {
    margin-bottom: 8px;
}

.footer-row-txt {
    display: flex;
    align-items: center;
    gap: 5px;
}

.footer-row-txt p {
    margin-bottom: 0;
}

.footer-link {
    color: #eee;
    text-decoration: none;
    display: flex;
    margin-right: 5px;
}

/* lunch page */
p.hero-txt {
    color: #fff;
    font-size: 20px;
    margin-bottom: 32px;
}

.menu-cards-wrap {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 30px;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 100px;
}

.menu-card {
    border-radius: 25px;
    background-color: #eee;
    overflow: hidden;
    cursor: pointer;
    /* Shadow */
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.12);

    /* Smooth animation */
    transition: 
        transform 0.3s ease,
        box-shadow 0.3s ease;
}

.menu-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 16px 35px rgba(0, 0, 0, 0.18);
}

.menu-card-txt-wrap {
    padding: 25px;
}

.menu-card-txt-wrap h3 {
    margin-bottom: 16px;
}

.menu-card img {
    height: 150px;
    width: 100%;
    object-fit: cover;
}

.food-menu-section h2 {
    text-align: center;
}


/* mobile screen */
@media screen and (max-width: 767px) {
    header.header-wrap {
        height: 60px;
    }
    .logo img {
        max-height: 45px;
    }
    nav.nav {
        gap: 0;
    }
    nav ul.menu {
        list-style-type: none;
        text-align: center;
        padding-top: 32px;
    }
    nav ul.menu li a {
        font-size: 22px;
    }
    nav ul.menu li a, .round-btn.header-btn {
        color: #2a2829;
    }
    .round-btn.header-btn {
        border: 1px solid #2a2829;
    }
    .social-icon svg {
        fill: #2a2829;
    }
    .footer-social-links .social-icon svg {
        fill: #fff;
    }
    h2 {
        font-size: 30px;
    }
    .hero-section {
        max-height: 550px;
    }
    .hero-section-content h1 {
        text-align: center;
        font-size: 45px;
    }
    .section-ovelay-container {
        padding: 50px 0px;
    }

    .narrow-container {
        padding: 0px 15px;
    }

    .footer-container {
        padding-left: 15px;
        padding-right: 15px;
    }

    .footer-bottom-row {
        grid-template-columns: 1fr;
        gap: 32px;
    }

    p.hero-txt {
        font-size: 16px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .menu-cards-wrap {
        grid-template-columns: 1fr;
        padding-left: 15px;
        padding-right: 15px;
    }
}


/* tab screen */
@media screen and (min-width: 768px) and (max-width: 1099px) {
    header.header-wrap {
        height: 60px;
    }
    .logo img {
        max-height: 45px;
    }
    nav.nav {
        gap: 0;
    }
    nav ul.menu {
        list-style-type: none;
        text-align: center;
    }
    nav ul.menu li a {
        font-size: 22px;
    }
    nav ul.menu li a, .round-btn.header-btn {
        color: #2a2829;
    }
    .round-btn.header-btn {
        border: 1px solid #2a2829;
    }
    .social-icon svg {
        fill: #2a2829;
    }
    .footer-social-links .social-icon svg {
        fill: #fff;
    }
    h2 {
        font-size: 30px;
    }
    .hero-section {
        max-height: 550px;
    }
    .hero-section-content h1 {
        text-align: center;
        font-size: 45px;
    }
    .section-ovelay-container {
        padding: 50px 0px;
    }

    .narrow-container {
        padding: 0px 15px;
    }

    .footer-container {
        padding-left: 15px;
        padding-right: 15px;
    }

    .footer-bottom-row {
        grid-template-columns: 1fr;
        gap: 32px;
    }

    p.hero-txt {
        font-size: 16px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .menu-cards-wrap {
        grid-template-columns: 1fr 1fr;
        padding-left: 15px;
        padding-right: 15px;
        max-width: 750px;
        margin-left: auto;
        margin-right: auto;
    }

    .hamburger {
    display: flex;
  }

  .nav {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    background: #fff;
    flex-direction: column;
    align-items: center;
    max-height: 0px;
    overflow: hidden;
    transition: max-height 0.4s ease;
  }



  .menu {
    flex-direction: column;
    gap: 15px;
    padding-top: 32px;
  }

  .right-actions {
    flex-direction: column;
    margin-top: 32px;
  }

  #menu-toggle:checked + .hamburger + .nav {
    height: 380px;
    max-height: 380px;
  }
}